net.corda.core.node.services

## Interface TxWritableStorageService

- All Superinterfaces:
    AttachmentsStorageService, StorageService
  All Known Implementing Classes:
    StorageServiceImpl

      public TxWritableStorageService
      extends StorageService

  Storage service, with extensions to allow validated transactions to be added to. For use only within ServiceHub.

  See Also:
    ServiceHub

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionStorage` | `getValidatedTransactions()` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

    - ### Methods inherited from interface net.corda.core.node.services.StorageService

      `getStateMachineRecordedTransactionMapping, getUploaders, getValidatedTransactions`

    - ### Methods inherited from interface net.corda.core.node.services.AttachmentsStorageService

      `getAttachments`

- - ### Method Detail

    - #### getValidatedTransactions

          TransactionStorage getValidatedTransactions()

      A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.